VkImageSubresource Struct Reference

`#include <vulkan.h>`

## Data Fields

VkImageAspectFlags | aspectMask
uint32_t | mipLevel
uint32_t | arrayLayer

## Detailed Description

Definition at line 1761 of file vulkan.h.

## Field Documentation

## arrayLayer

uint32_t VkImageSubresource::arrayLayer

Definition at line 1764 of file vulkan.h.

## aspectMask

VkImageAspectFlags VkImageSubresource::aspectMask

Definition at line 1762 of file vulkan.h.

## mipLevel

uint32_t VkImageSubresource::mipLevel

Definition at line 1763 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h